[vlc-commits] [Git][videolan/vlc][3.0.x] 5 commits: package/win32: discard installer options when doing a libvlc-only build
Steve Lhomme (@robUx4)
gitlab at videolan.org
Sun Aug 23 05:52:53 UTC 2026
Steve Lhomme pushed to branch 3.0.x at VideoLAN / VLC
Commits:
20f05d41 by Steve Lhomme at 2026-08-23T04:38:57+00:00
package/win32: discard installer options when doing a libvlc-only build
If there's is an installation path set (-o <path>) package-win-common
will be done into that path.
(cherry picked from commit e86183e117030cc7ed2966988638cd03934f7e60)
Signed-off-by: Steve Lhomme <robux4 at ycbcr.xyz>
- - - - -
67c610fe by Steve Lhomme at 2026-08-23T04:38:57+00:00
package/win32: discard i18n option when doing a libvlc-only build
(cherry picked from commit 259ba25af16f2dcea9beb94ec6ed33b3003d3187)
Signed-off-by: Steve Lhomme <robux4 at ycbcr.xyz>
- - - - -
31d04eb7 by Steve Lhomme at 2026-08-23T04:38:57+00:00
CI: use a common variable to trigger the nightly configuration
(cherry picked from commit 9d4052bf5ab208995f4b61c676d73838421505b2)
Signed-off-by: Steve Lhomme <robux4 at ycbcr.xyz>
- - - - -
ffc81d08 by Steve Lhomme at 2026-08-23T04:38:57+00:00
CI: check the (Windows) installer files changed to force a nightly rebuild
So we can verify installer changes work.
(cherry picked from commit 8703d1cc4a0ad24d6acc2bc3584dc93b9ad31556) (edited)
edited:
- the base branch to compare is origin/3.0.x
Signed-off-by: Steve Lhomme <robux4 at ycbcr.xyz>
- - - - -
5649394c by Steve Lhomme at 2026-08-23T04:38:57+00:00
CI: generate an installer for release jobs
- - - - -
3 changed files:
- extras/ci/gitlab-ci.yml
- + extras/ci/is-installer-needed.sh
- extras/package/win32/build.sh
Changes:
=====================================
extras/ci/gitlab-ci.yml
=====================================
@@ -8,6 +8,7 @@ default:
- export VLC_CONTRIB_SHA="$(extras/ci/get-contrib-sha.sh)"
- export VLC_PREBUILT_CONTRIBS_URL="https://artifacts.videolan.org/vlc-3.0/${CI_JOB_NAME##nightly-}/vlc-contrib-${TRIPLET}-${VLC_CONTRIB_SHA}.tar.zst"
- if ! extras/ci/check-url.sh "$VLC_PREBUILT_CONTRIBS_URL"; then unset VLC_PREBUILT_CONTRIBS_URL; fi
+ - export BUILD_NIGHTLY="$(extras/ci/is-installer-needed.sh ${CI_JOB_NAME})"
after_script:
- export VLC_CONTRIB_SHA="$(extras/ci/get-contrib-sha.sh)"
- mv contrib/vlc-contrib-*.tar.zst contrib/vlc-contrib-${TRIPLET}-${VLC_CONTRIB_SHA}.tar.zst 2>/dev/null || true
@@ -110,7 +111,7 @@ variables:
.win-common:
extends: .docker-template
script: |
- if [ "${CI_JOB_NAME:0:8}" = "nightly-" ]; then
+ if [ -n "$BUILD_NIGHTLY" ]; then
EXTRA_BUILD_FLAGS="-i n -l"
fi
if [ -n "$VLC_PREBUILT_CONTRIBS_URL" ]; then
@@ -504,7 +505,7 @@ release-snap:
.macos-common:
extends: .base-template
script: |
- if [ "${CI_JOB_NAME:0:8}" = "nightly-" ]; then
+ if [ -n "$BUILD_NIGHTLY" ]; then
NIGHTLY_EXTRA_BUILD_FLAGS="-i n"
else
EXTRA_BUILD_FLAGS="-i z"
=====================================
extras/ci/is-installer-needed.sh
=====================================
@@ -0,0 +1,58 @@
+#!/usr/bin/env bash
+# Copyright (C) Marvin Scholz / Steve Lhomme
+#
+# License: see COPYING
+#
+# Check whether some installer files changed of a nightly is built (needed for CI)
+# Return "yes" if the installer should be (re)built and "" otherwise
+set -e
+
+# Array of paths that should trigger contrib rebuilds
+VLC_CONTRIB_REBUILD_PATHS=()
+# Revision from which to start look for changes (backwards in time)
+VLC_START_REVISION="HEAD"
+# Upstream branch to compare changes with
+VLC_UPSTREAM_BRANCH="origin/3.0.x"
+
+# Print error message and terminate script with status 1
+# Arguments:
+# Message to print
+abort_err()
+{
+ echo "ERROR: $1" >&2
+ exit 1
+}
+
+command -v "git" >/dev/null 2>&1 || abort_err "Git was not found!"
+
+# VLC source root directory
+VLC_SRC_ROOT_DIR=$(git rev-parse --show-toplevel)
+
+[ -n "${VLC_SRC_ROOT_DIR}" ] || abort_err "This script must be run in the VLC Git repo and git must be available"
+[ -f "${VLC_SRC_ROOT_DIR}/src/libvlc.h" ] || abort_err "This script must be run in the VLC Git repository"
+
+case $1 in
+ nightly-*|release-*)
+ echo "yes"
+ exit 0
+ ;;
+ win32*|win64*|uwp*)
+ # check if the NSIX/WIX folders changed
+ # check if the wix contribs changed
+ # check if gitlab-ci.yml changed as it may influence the nightly build
+ VLC_CONTRIB_REBUILD_PATHS+=( "extras/ci/gitlab-ci.yml" "extras/package/win32/NSIS" "extras/package/win32/msi" "contrib/src/wix" "contrib/src/wixlzx" )
+ ;;
+ *)
+ echo ""
+ exit 0
+esac
+
+for path in "${VLC_CONTRIB_REBUILD_PATHS[@]}"; do
+ CHANGED_FILES_IN_PATH=$(git diff --name-only ${VLC_UPSTREAM_BRANCH}..${VLC_START_REVISION} "${path}")
+ if [ -n "${CHANGED_FILES_IN_PATH}" ]; then
+ echo "yes"
+ break
+ fi
+done
+
+exit 0
=====================================
extras/package/win32/build.sh
=====================================
@@ -124,6 +124,11 @@ case $ARCH in
exit 1
esac
+if [ -n "$DISABLEGUI" ]; then
+ INSTALLER=""
+ I18N=""
+fi
+
#####
SCRIPT_PATH="$( cd "$(dirname "$0")" ; pwd -P )"
View it on GitLab: https://code.videolan.org/videolan/vlc/-/compare/20fc39fc9746553742ef1b95857177079934d267...5649394ca7aded73e6fd955ea77e1cb2fddab14c
--
View it on GitLab: https://code.videolan.org/videolan/vlc/-/compare/20fc39fc9746553742ef1b95857177079934d267...5649394ca7aded73e6fd955ea77e1cb2fddab14c
You're receiving this email because of your account on code.videolan.org. Manage all notifications: https://code.videolan.org/-/profile/notifications | Help: https://code.videolan.org/help
More information about the vlc-commits
mailing list